Uses of Class
org.apache.juneau.bct.assertions.FluentByteArrayAssertion
Packages that use FluentByteArrayAssertion
Package
Description
Assertions API
HTTP Entity Beans
HTTP Resource Beans
REST Client API
REST Client Assertions
REST Assertions
-
Uses of FluentByteArrayAssertion in org.apache.juneau.bct.assertions
Subclasses of FluentByteArrayAssertion in org.apache.juneau.bct.assertionsModifier and TypeClassDescriptionclassUsed for assertion calls against byte arrays.Methods in org.apache.juneau.bct.assertions that return FluentByteArrayAssertionModifier and TypeMethodDescriptionFluentAnyAssertion.asBytes()Converts this object assertion into a byte array assertion.FluentByteArrayAssertion.setOut(PrintStream value) FluentByteArrayAssertion.setSilent()FluentByteArrayAssertion.setStdOut()FluentByteArrayAssertion.setThrowable(Class<? extends RuntimeException> value) -
Uses of FluentByteArrayAssertion in org.apache.juneau.http.classic.entity
Methods in org.apache.juneau.http.classic.entity that return FluentByteArrayAssertionModifier and TypeMethodDescriptionBasicHttpEntity.assertBytes()Returns an assertion on the contents of this entity. -
Uses of FluentByteArrayAssertion in org.apache.juneau.http.classic.resource
Methods in org.apache.juneau.http.classic.resource that return FluentByteArrayAssertionModifier and TypeMethodDescriptionBasicResource.assertBytes()Returns an assertion on the contents of the entity of this resource. -
Uses of FluentByteArrayAssertion in org.apache.juneau.rest.client.classic
Methods in org.apache.juneau.rest.client.classic that return FluentByteArrayAssertionModifier and TypeMethodDescriptionResponseContent.assertBytes()Shortcut for callingassertValue().asBytes() . -
Uses of FluentByteArrayAssertion in org.apache.juneau.rest.client.classic.assertion
Methods in org.apache.juneau.rest.client.classic.assertion that return FluentByteArrayAssertionModifier and TypeMethodDescriptionFluentResponseBodyAssertion.asBytes()Provides the ability to perform fluent-style assertions on the bytes of the response body. -
Uses of FluentByteArrayAssertion in org.apache.juneau.rest.server.assertions
Methods in org.apache.juneau.rest.server.assertions that return FluentByteArrayAssertionModifier and TypeMethodDescriptionFluentRequestContentAssertion.asBytes()Provides the ability to perform fluent-style assertions on the bytes of the request content.